Unverified Commit 8fce8f30 authored by Michael Müller's avatar Michael Müller Committed by GitHub
Browse files

Add `Eq` + `PartialEq` derive for `MetadataVersion` (#1377)

Needed for `if version == MetadataVersion::V4 { }`
in `smart-bench`.
parent d535ba78
Pipeline #211996 failed with stages
in 52 minutes and 53 seconds
......@@ -67,7 +67,7 @@ use serde::{
/// Versions other than the `Default` are considered deprecated. If you want to
/// deserialize legacy metadata versions you will need to use an old version of
/// this crate.
#[derive(Debug, Serialize, Deserialize)]
#[derive(Debug, Serialize, Deserialize, Eq, PartialEq)]
pub enum MetadataVersion {
#[serde(rename = "4")]
V4,
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment